org.eclipse.actf.model.dom.odf.style

## Interface ChartPropertiesElement

All Superinterfaces:
  Element, Node, ODFElement, StylePropertiesBase

    public interface ChartPropertiesElement
    extends StylePropertiesBase

Interface for <style:chart-properties> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`boolean` `getAttrChartConnectBars()`
`String` `getAttrChartDataLabelNumber()`
`boolean` `getAttrChartDataLabelSymbol()`
`boolean` `getAttrChartDataLabelText()`
`boolean` `getAttrChartDeep()`
`boolean` `getAttrChartDisplayLabel()`
`String` `getAttrChartErrorCategory()`
`double` `getAttrChartErrorLowerLimit()`
`double` `getAttrChartErrorMargin()`
`double` `getAttrChartErrorPercentage()`
`double` `getAttrChartErrorUpperLimit()`
`int` `getAttrChartGapWidth()`
`String` `getAttrChartInterpolation()`
`boolean` `getAttrChartJapaneseCandleStick()`
`String` `getAttrChartLabelArrangement()`
`boolean` `getAttrChartLines()`
`int` `getAttrChartLinesUsed()`
`boolean` `getAttrChartLogarithmic()`
`double` `getAttrChartMaximum()`
`boolean` `getAttrChartMeanValue()`
`double` `getAttrChartMinimum()`
`double` `getAttrChartOrigin()`
`int` `getAttrChartOverlap()`
`String` `getAttrChartRegressionType()`
`String` `getAttrChartSeriesSource()`
`String` `getAttrChartSolidType()`
`boolean` `getAttrChartStockWithVolume()`
`String` `getAttrChartSymbolType()`
`boolean` `getAttrChartTextOverlap()`
`boolean` `getAttrChartThreeDimensional()`
`boolean` `getAttrChartTickMarksMajorInner()`
`boolean` `getAttrChartTickMarksMajorOuter()`
`boolean` `getAttrChartVertical()`
`boolean` `getAttrChartVisible()`
`String` `getAttrStyleDirection()`
`boolean` `getAttrTextLineBreak()`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.style.StylePropertiesBase

`getType`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrStyleDirection

    String getAttrStyleDirection()

#### getAttrChartJapaneseCandleStick

    boolean getAttrChartJapaneseCandleStick()

#### getAttrChartStockWithVolume

    boolean getAttrChartStockWithVolume()

#### getAttrChartThreeDimensional

    boolean getAttrChartThreeDimensional()

#### getAttrChartDeep

    boolean getAttrChartDeep()

#### getAttrChartLines

    boolean getAttrChartLines()

#### getAttrChartInterpolation

    String getAttrChartInterpolation()

#### getAttrChartSymbolType

    String getAttrChartSymbolType()

#### getAttrChartVertical

    boolean getAttrChartVertical()

#### getAttrChartLinesUsed

    int getAttrChartLinesUsed()

#### getAttrChartConnectBars

    boolean getAttrChartConnectBars()

#### getAttrChartSeriesSource

    String getAttrChartSeriesSource()

#### getAttrChartMeanValue

    boolean getAttrChartMeanValue()

#### getAttrChartErrorMargin

    double getAttrChartErrorMargin()

#### getAttrChartErrorLowerLimit

    double getAttrChartErrorLowerLimit()

#### getAttrChartErrorUpperLimit

    double getAttrChartErrorUpperLimit()

#### getAttrChartErrorCategory

    String getAttrChartErrorCategory()

#### getAttrChartErrorPercentage

    double getAttrChartErrorPercentage()

#### getAttrChartRegressionType

    String getAttrChartRegressionType()

#### getAttrChartDataLabelNumber

    String getAttrChartDataLabelNumber()

#### getAttrChartDataLabelText

    boolean getAttrChartDataLabelText()

#### getAttrChartDataLabelSymbol

    boolean getAttrChartDataLabelSymbol()

#### getAttrChartDisplayLabel

    boolean getAttrChartDisplayLabel()

#### getAttrChartTickMarksMajorInner

    boolean getAttrChartTickMarksMajorInner()

#### getAttrChartTickMarksMajorOuter

    boolean getAttrChartTickMarksMajorOuter()

#### getAttrChartLogarithmic

    boolean getAttrChartLogarithmic()

#### getAttrChartTextOverlap

    boolean getAttrChartTextOverlap()

#### getAttrTextLineBreak

    boolean getAttrTextLineBreak()

#### getAttrChartLabelArrangement

    String getAttrChartLabelArrangement()

#### getAttrChartVisible

    boolean getAttrChartVisible()

#### getAttrChartGapWidth

    int getAttrChartGapWidth()

#### getAttrChartOverlap

    int getAttrChartOverlap()

#### getAttrChartSolidType

    String getAttrChartSolidType()

#### getAttrChartOrigin

    double getAttrChartOrigin()

#### getAttrChartMinimum

    double getAttrChartMinimum()

#### getAttrChartMaximum

    double getAttrChartMaximum()